SuSE 10 Security Update : TeX (ZYPP Patch Number 7020)

Medium Nessus Plugin ID 51761

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

Specially crafted dvi files could cause buffer overflows in dvips and dvipng (CVE-2010-0827 / CVE-2010-0829 / CVE-2010-0739 / CVE-2010-1440). This has been fixed.

Solution

Apply ZYPP patch number 7020.

See Also

http://support.novell.com/security/cve/CVE-2010-0739.html

http://support.novell.com/security/cve/CVE-2010-0827.html

http://support.novell.com/security/cve/CVE-2010-0829.html

http://support.novell.com/security/cve/CVE-2010-1440.html

Plugin Details

Severity: Medium

ID: 51761

File Name: suse_te_ams-7020.nasl

Version: Revision: 1.4

Type: local

Agent: unix

Published: 2011/01/27

Updated: 2012/10/03

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2010/05/03

Reference Information

CVE: CVE-2010-0739, CVE-2010-0827, CVE-2010-0829, CVE-2010-1440